Loading...
Searching...
No Matches
hamlib_port Struct Reference
Port data structure for accessing devices

Port definition. More...

`#include <port.h>`

Collaboration diagram for hamlib_port:
[legend]

## Data Fields

union { |
rig_port_t rig |
ptt_type_t ptt |
dcd_type_t dcd |
} | type
int | fd
void * | handle
int | write_delay
int | post_write_delay
struct { |
int tv_sec |
int tv_usec |
} | post_write_date
int | timeout
short | retry
short | flushx
char | pathname [HAMLIB_FILPATHLEN]
union { |
struct { |
int rate |
int data_bits |
int stop_bits |
enum serial_parity_e parity |
enum serial_handshake_e handshake |
enum serial_control_state_e rts_state |
enum serial_control_state_e dtr_state |
} serial
struct { |
int pin |
} parallel
struct { |
int ptt_bitnum |
} cm108
struct { |
int vid |
int pid |
int conf |
int iface |
int alt |
char * vendor_name |
char * product |
} usb
struct { |
int on_value |
int value |
} gpio
} | parm
int | client_port
RIG * | rig
int | asyncio
int | fd_sync_write
int | fd_sync_read
int | fd_sync_error_write
int | fd_sync_error_read
short | timeout_retry

## Detailed Description

Port definition.

Of course, looks like OO painstakingly programmed in C, sigh.

Warning
  DO NOT CHANGE THIS STRUCTURE AT ALL UNTIL 5.0. Right now it is static inside the rig structure. 5.0 will change it to a pointer which can then be added to. At that point only add to the end of the structure.

## Field Documentation

## alt

int hamlib_port::alt

alternate

## asyncio

int hamlib_port::asyncio

enable asynchronous data handling if true – async collides with python keyword so _async is used

## client_port

int hamlib_port::client_port

client socket port for tcp connection

## [struct]

struct { ... } hamlib_port::cm108

CM108 attributes

## conf

int hamlib_port::conf

Configuration

## data_bits

int hamlib_port::data_bits

Number of data bits

Examples
  /tests/testrig.c.

## dcd

dcd_type_t hamlib_port::dcd

DCD port of dcd_type_e type.

## dtr_state

enum serial_control_state_e hamlib_port::dtr_state

DTR set state

## fd

int hamlib_port::fd

File descriptor

## fd_sync_error_read

int hamlib_port::fd_sync_error_read

file descriptor for reading synchronous data error codes

## fd_sync_error_write

int hamlib_port::fd_sync_error_write

file descriptor for writing synchronous data error codes

## fd_sync_read

int hamlib_port::fd_sync_read

file descriptor for reading synchronous data

## fd_sync_write

int hamlib_port::fd_sync_write

file descriptor for writing synchronous data

## flushx

short hamlib_port::flushx

If true flush is done with read instead of TCFLUSH - MicroHam

## [struct]

struct { ... } hamlib_port::gpio

GPIO attributes

## handle

void* hamlib_port::handle

handle for USB

## handshake

enum serial_handshake_e hamlib_port::handshake

Serial handshake

Examples
  /tests/testrig.c.

## iface

int hamlib_port::iface

interface

## on_value

int hamlib_port::on_value

GPIO: 1 == normal, GPION: 0 == inverted

## [struct]

struct { ... } hamlib_port::parallel

parallel attributes

## parity

enum serial_parity_e hamlib_port::parity

Serial parity

Examples
  /tests/testrig.c.

## [union]

union { ... } hamlib_port::parm

Port parameter union

Examples
  /tests/testrig.c.

## pathname

char hamlib_port::pathname[HAMLIB_FILPATHLEN]

Port pathname

## pid

int hamlib_port::pid

Product ID

## pin

int hamlib_port::pin

Parallel port pin number

## [struct]

struct { ... } hamlib_port::post_write_date

hamlib internal use

## post_write_delay

int hamlib_port::post_write_delay

Delay between each commands send out, in mS

## product

char* hamlib_port::product

Product (opt.)

## ptt

ptt_type_t hamlib_port::ptt

PTT port of ptt_type_e type.

## ptt_bitnum

int hamlib_port::ptt_bitnum

Bit number for CM108 GPIO PTT

## rate

int hamlib_port::rate

Serial baud rate

Examples
  /tests/testrig.c.

## retry

short hamlib_port::retry

Maximum number of retries, 0 to disable

## rig [1/2]

RIG* hamlib_port::rig

our parent RIG device

## rig [2/2]

rig_port_t hamlib_port::rig

Communication port of rig_port_e type.

Examples
  /tests/testrig.c.

## rts_state

enum serial_control_state_e hamlib_port::rts_state

RTS set state

## [struct]

struct { ... } hamlib_port::serial

serial attributes

Examples
  /tests/testrig.c.

## stop_bits

int hamlib_port::stop_bits

Number of stop bits

Examples
  /tests/testrig.c.

## timeout

int hamlib_port::timeout

Timeout, in mS

## timeout_retry

short hamlib_port::timeout_retry

number of retries to make in case of read timeout errors, some serial interfaces may require this, 0 to disable

## [union]

union { ... } hamlib_port::type

Type of port in use.

Examples
  /tests/testrig.c.

## [struct]

struct { ... } hamlib_port::usb

USB attributes

## value

int hamlib_port::value

Toggle PTT ON or OFF

## vendor_name

char* hamlib_port::vendor_name

Vendor name (opt.)

## vid

int hamlib_port::vid

Vendor ID

## write_delay

int hamlib_port::write_delay

Delay between each byte sent out, in mS

The documentation for this struct was generated from the following file:

- port.h